UiPath Documentation
automation-cloud
latest
false
重要 :
请注意,此内容已使用机器翻译进行了部分本地化。 新发布内容的本地化可能需要 1-2 周的时间才能完成。
UiPath logo, featuring letters U and I in white

Automation Cloud API 指南

上次更新日期 2026年4月9日

获取所有机器人帐户

根据组织 ID,返回组织中所有机器人帐户的列表。

API 端点

GET {accessURL}/{organizationName}/identity_/api/RobotAccount

将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:

Cloud Platform访问 URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud 公共部门https://govcloud.uipath.us/
Automation Cloud 专用https://{customURL}.dedicated.uipath.com/

作用域

需要以下作用域:

  • PM.RobotAccount
  • PM.RobotAccount.Read

请求标头

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:

要获取{access_token} ,请确保通过此处描述的其中一种方法进行身份验证。

路径参数

路径参数数据类型描述
partitionGlobalId (必填)字符串要检索其机器人帐户的组织 ID。

查询参数

查询参数数据类型描述
searchTerm (可选)字符串搜索机器人帐户时要使用的密钥。
top (可选)Int32显示前 N 个机器人帐户。
skip (可选)Int32跳过前 N 个机器人帐户。
sortBy (可选)Int32指定用于对审核条目进行排序的 DTO 属性。 例如 creationTimeidname 等。
sortOrder (可选)Int32指定排序顺序。 例如,升序 (asc) 或降序 (desc)。

响应

200 OK

返回查询的机器人帐户。

请求示例

假设您收集了构建 API 调用所需的所有信息。

  • 您的{baseURL}为: https://cloud.uipath.com/{organizationName}/identity
  • 您的 {access_token} 为:1234(出于长度考虑)。
  • {partitionGlobalId} 为:3fa85f64-5717-4562-b3fc-2c963f66afa6
  • 您需要设置以下查询参数:
    • searchTerm = bot
    • top = 2,显示前两个条目
    • skip = 2,跳过前两个条目
    • sortBy = name ,按条目名称对条目进行排序
    • sortOrder = asc,根据条目从旧到新的顺序排序

调用应类似于以下示例 (cURL):

curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6?searchTerm=attended&top=2&skip=2&sortBy=name&sortOrder=asc' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6?searchTerm=attended&top=2&skip=2&sortBy=name&sortOrder=asc' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'

以下是成功检索审核条目的响应正文:

{
    "totalCount": 3,
    "results": [
        {
            "id": "55-ab",
            "name": "Bot5",
            "displayName": "Bot5",
            "creationTime": "2021-10-19T18:05:17.3465735",
            "lastLoginTime": null,
            "groupIds": [
                "group1",
                "group2",
                "group3"
            ]
        },
        {
            "id": "66-cd",
            "name": "Bot6",
            "displayName": "Bot6",
            "creationTime": "2021-10-19T18:06:00.3088553",
            "lastLoginTime": null,
            "groupIds": [
                "group1",
                "group3"
            ]
        },
        {
            "id": "77-ef",
            "name": "Bot7",
            "displayName": "Bot7",
            "creationTime": "2021-10-19T18:05:31.4736281",
            "lastLoginTime": null,
            "groupIds": [
                "group2"
            ]
        }
    ]
}
{
    "totalCount": 3,
    "results": [
        {
            "id": "55-ab",
            "name": "Bot5",
            "displayName": "Bot5",
            "creationTime": "2021-10-19T18:05:17.3465735",
            "lastLoginTime": null,
            "groupIds": [
                "group1",
                "group2",
                "group3"
            ]
        },
        {
            "id": "66-cd",
            "name": "Bot6",
            "displayName": "Bot6",
            "creationTime": "2021-10-19T18:06:00.3088553",
            "lastLoginTime": null,
            "groupIds": [
                "group1",
                "group3"
            ]
        },
        {
            "id": "77-ef",
            "name": "Bot7",
            "displayName": "Bot7",
            "creationTime": "2021-10-19T18:05:31.4736281",
            "lastLoginTime": null,
            "groupIds": [
                "group2"
            ]
        }
    ]
}
  • API 端点
  • 作用域
  • 请求标头
  • 路径参数
  • 查询参数
  • 响应
  • 200 OK
  • 请求示例

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新